## START: Set by rpmautospec
## (rpmautospec version 0.6.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global         forgeurl https://github.com/muon-build/muon
Version:        0.2.0
%global         tag      %{version}

%forgemeta

Name:           muon
Release:        %autorelease
Summary:        A meson-compatible build system

# muon is licensed under the GPL version 3 (see LICENSE). Tests under 
# tests/project were copied from the meson project tests and are licensed under
# Apache 2.0.
License:        GPL-3.0 AND Apache-2.0
URL:            https://muon.build/
Source:         %{forgesource}

BuildRequires:  meson
BuildRequires:  gcc
BuildRequires:  cmake
BuildRequires:  libcurl-devel
BuildRequires:  libarchive-devel
BuildRequires:  libpkgconf-devel
BuildRequires:  scdoc

%description
An implementation of the meson build system in c99 with minimal dependencies.

%prep
%forgesetup

%build
%meson -Dtracy=disabled
%meson_build

%install
%meson_install

%files
%{_bindir}/muon
%{_mandir}/man1/muon*
%{_mandir}/man5/meson*

%changelog
## START: Generated by rpmautospec
* Tue Aug 13 2024 Link Dupont <link@sub-pop.net> - 0.2.0-1
- Uncommitted changes

* Tue Mar 01 2016 Daniel Vrátil <dvratil@fedoraproject.org> - 5.5.5-1
- Plasma 5.5.5

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 5.5.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jan 27 2016 Daniel Vrátil <dvratil@fedoraproject.org> - 5.5.4-1
- Plasma 5.5.4

* Thu Jan 07 2016 Daniel Vrátil <dvratil@fedoraproject.org> - 5.5.3-1
- Plasma 5.5.3

* Thu Dec 31 2015 Rex Dieter <rdieter@math.unl.edu> - 5.5.2-1
- 5.5.2

* Thu Dec 31 2015 Rex Dieter <rdieter@math.unl.edu> - 5.5.1-4
- +sources.basename

* Wed Dec 30 2015 Rex Dieter <rdieter@math.unl.edu> - 5.5.1-3
- 5.5.1-2
- update description, summary, url
- -updater: disable updater plasmoid by default

* Wed Dec 30 2015 Rex Dieter <rdieter@math.unl.edu> - 5.5.1-2
- old sources

* Fri Dec 18 2015 Dan Vrátil <dvratil@kde.org> - 5.5.1-1
- Plasma 5.5.1

* Sun Dec 13 2015 Rex Dieter <rdieter@math.unl.edu> - 5.5.0-3
- rebuild (appstream)

* Fri Dec 04 2015 Dan Vrátil <dvratil@kde.org> - 5.5.0-2
- Rebase patch

* Thu Dec 03 2015 Dan Vrátil <dvratil@kde.org> - 5.5.0-1
- Plasma 5.5.0

* Wed Nov 25 2015 Dan Vrátil <dvratil@kde.org> - 5.4.95-3
- Fix install

* Wed Nov 25 2015 Dan Vrátil <dvratil@kde.org> - 5.4.95-2
- Fix install (muon is now discover)

* Wed Nov 25 2015 Dan Vrátil <dvratil@kde.org> - 5.4.95-1
- Plasma 5.4.95

* Thu Nov 05 2015 Daniel Vrátil <dvratil@fedoraproject.org> - 5.4.3-2
- Restore the ,desktop validation fixes patch

* Thu Nov 05 2015 Daniel Vrátil <dvratil@fedoraproject.org> - 5.4.3-1
- Plasma 5.4.3

* Tue Nov 03 2015 Rex Dieter <rdieter@math.unl.edu> - 5.4.2-5
- more upstream fixes

* Fri Oct 30 2015 Rex Dieter <rdieter@math.unl.edu> - 5.4.2-4
- rebuild (PackageKit-Qt)

* Fri Oct 30 2015 Rex Dieter <rdieter@math.unl.edu> - 5.4.2-3
- libs: (explicitly) Requires: PackageKit

* Wed Oct 28 2015 Rex Dieter <rdieter@math.unl.edu> - 5.4.2-2
- backport fix package removal (kde#354415)

* Fri Oct 02 2015 Rex Dieter <rdieter@math.unl.edu> - 5.4.2-1
- 5.4.2

* Tue Sep 29 2015 Rex Dieter <rdieter@math.unl.edu> - 5.4.1-5
- pull in upstream fixes (notably discover .desktop rename)

* Wed Sep 09 2015 Rex Dieter <rdieter@math.unl.edu> - 5.4.1-4
- BR: kf5-ktextwidgets

* Wed Sep 09 2015 Rex Dieter <rdieter@math.unl.edu> - 5.4.1-3
- adding missing BR, .spec cosmetics

* Wed Sep 09 2015 Rex Dieter <rdieter@math.unl.edu> - 5.4.1-2
- fix build and appstream dep

* Wed Sep 09 2015 Rex Dieter <rdieter@math.unl.edu> - 5.4.1-1
- 5.4.1

* Sat Jun 27 2015 Rex Dieter <rdieter@math.unl.edu> - 5.3.2-1
- 5.3.2

* Sat Jun 27 2015 Rex Dieter <rdieter@math.unl.edu> - 5.3.1-6
- rebuild (appstream)

* Sat Jun 27 2015 Rex Dieter <rdieter@math.unl.edu> - 5.3.1-5
- rebuild (appstream)

* Wed Jun 17 2015 Rex Dieter <rdieter@math.unl.edu> - 5.3.1-4
- BR: kf5-kiconthemes-devel kf5-kio-devel kf5-kitemviews-devel

* Wed Jun 17 2015 Dennis Gilmore <dennis@ausil.us> - 5.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun May 31 2015 Dan Vrátil <dvratil@redhat.com> - 5.3.1-2
- Rebase the desktop file patch to 5.3.1

* Sun May 31 2015 Dan Vrátil <dvratil@redhat.com> - 5.3.1-1
- Plasma 5.3.1

* Sun May 03 2015 Rex Dieter <rdieter@math.unl.edu> - 5.3.0-1
- 5.3.0

* Mon Apr 20 2015 Rex Dieter <rdieter@math.unl.edu> - 5.2.2-3
- discover, -updater, -libs subpkgs (w/ main metapackage)

* Mon Apr 20 2015 Rex Dieter <rdieter@math.unl.edu> - 5.2.2-2
- unused-direct-shlib-dependency rpmlint hack

* Mon Apr 20 2015 Rex Dieter <rdieter@math.unl.edu> - 5.2.2-1
- 5.2.2, %%license COPYING

* Mon Apr 20 2015 Rex Dieter <rdieter@math.unl.edu> - 5.2.1-1
- import
## END: Generated by rpmautospec
